#pragma once
#include <map>
struct Fish_SquamaDragonSlayerCFGData
{
	//编号
	int mID;
	//道具id
	int mItemId;
	//道具数量
	int mItemCount;
	//需要魔石数量
	int mDimensityCount;
};

class Fish_SquamaDragonSlayerCFG
{
public:
private:
	static std::auto_ptr<Fish_SquamaDragonSlayerCFG> msSingleton;
public:
	int GetCount();
	const Fish_SquamaDragonSlayerCFGData* GetData(int ID);
	const std::map<int, Fish_SquamaDragonSlayerCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_SquamaDragonSlayerCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_SquamaDragonSlayerCFGData> mMapData;
};
